## org.metaabm.gen.test
Class BasicModel

    java.lang.Object
      org.ascape.model.AscapeObject
          org.ascape.model.Agent
              org.ascape.model.LocatedAgent
                  org.ascape.model.Cell
                      org.ascape.model.CellOccupant
                          org.ascape.model.Scape
                              org.metaabm.gen.test.BasicModel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, ControlListener, ScapeListener, Location, Node, SpaceContext, HasName, RandomFunctions

    public class BasicModel

extends Scape

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.ascape.model.Scape
`Scape.ConditionalIterator, Scape.DrawFeatureObservable`

Field Summary

Fields inherited from class org.ascape.model.Scape
`AGENT_ORDER, agentsPerIteration, ALL_AGENTS, CLEAR_STATS_RULE, COLLECT_STATS_RULE, COMPARE_ORDERED_QUALIFIERS, COMPLETE_TOUR, copyrightAndCredits, CREATE_GRAPHIC_VIEW_RULE, CREATE_RULE, CREATE_SCAPE_RULE, CREATE_VIEW_RULE, EXECUTE_RULES_RULE, INITIAL_RULES_RULE, initialRules, prototypeAgent, REPEATED_DRAW, RULE_ORDER, version`

Fields inherited from class org.ascape.model.CellOccupant
`PLAY_HOST_RULE, RANDOM_WALK_AVAILABLE_RULE`

Fields inherited from class org.ascape.model.Cell
`CALCULATE_NEIGHBORS_RULE, neighbors, PLAY_NEIGHBORS_RULE, PLAY_RANDOM_NEIGHBOR_RULE`

Fields inherited from class org.ascape.model.LocatedAgent
`agentSize, coordinate, MOVE_RANDOM_LOCATION_RULE, RANDOM_WALK_RULE, thisUpdate`

Fields inherited from class org.ascape.model.Agent
`DEATH_RULE, FISSIONING_RULE, FORCE_DIE_RULE, FORCE_FISSION_RULE, FORCE_MOVE_RULE, INITIALIZE_RULE, ITERATE_AND_UPDATE_RULE, ITERATE_RULE, METABOLISM_RULE, MOVEMENT_RULE, PLAY_OTHER, UPDATE_RULE`

Fields inherited from class org.ascape.model.AscapeObject
`ARBITRARY_SEED, name, PLATFORM_DEFAULT_COLOR, scape`

Constructor Summary
`BasicModel()` Constructs a new Basic Model.

Method Summary
`java.lang.Object` `clone()` Clones the agent, ensuring that a unique id is assigned.
`void` `createGraphicViews()` Creates UI views for Basic Model.
`void` `createScape()` Creates the members of Basic Model.
`void` `createUniqueID()`
`void` `dummy()`
`java.awt.Color` `getColor()` This agent's default color, used by many simple views.
`int` `getGeneratedMemberAgentCount()` Gets the Generated Member Agent Count property for Basic Model.
`Scape` `getMethodsAgent()` Gets the Methods Agent property for Basic Model.
`int` `getMethodsAgentCount()` Gets the Methods Agent Count property for Basic Model.
`java.lang.String` `getName()` Returns the name of this scape, the model name if this is root and there is no name set.
`Scape` `getOperationsAgent()` Gets the Operations Agent property for Basic Model.
`int` `getOperationsAgentCount()` Gets the Operations Agent Count property for Basic Model.
`double` `getSomeFloat()` Gets the Some Float property for Basic Model.
`int` `getSomeInteger()` Gets the Some Integer property for Basic Model.
`Scape` `getStateAgent()` Gets the State Agent property for Basic Model.
`int` `getStateAgentCount()` Gets the State Agent Count property for Basic Model.
`java.lang.String` `getUID()`
`boolean` `isSomeFlag()` Gets the Some Flag property for Basic Model.
`static void` `main(java.lang.String[] args)`
`void` `scapeSetup(ScapeEvent scapeEvent)` If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run.
`void` `setGeneratedMemberAgentCount(int _generatedMemberAgentCount)` Sets the Generated Member Agent Count property for Basic Model.
`void` `setMethodsAgent(Scape _methodsAgent)` Sets the Methods Agent property for Basic Model.
`void` `setMethodsAgentCount(int _methodsAgentCount)` Sets the Methods Agent Count property for Basic Model.
`void` `setOperationsAgent(Scape _operationsAgent)` Sets the Operations Agent property for Basic Model.
`void` `setOperationsAgentCount(int _operationsAgentCount)` Sets the Operations Agent Count property for Basic Model.
`void` `setSomeFlag(boolean _someFlag)` Sets the Some Flag property for Basic Model.
`void` `setSomeFloat(double _someFloat)` Sets the Some Float property for Basic Model.
`void` `setSomeInteger(int _someInteger)` Sets the Some Integer property for Basic Model.
`void` `setStateAgent(Scape _stateAgent)` Sets the State Agent property for Basic Model.
`void` `setStateAgentCount(int _stateAgentCount)` Sets the State Agent Count property for Basic Model.
`void` `testFake()` .

Methods inherited from class org.ascape.model.Scape

`add, add, add, add, addAll, addDrawFeature, addInitialRule, addInitialRule, addRule, addRule, addScapeListener, addScapeListenerFirst, addStatCollector, addStatCollectorIfNew, addStatCollectors, addView, addView, addView, addViews, addViews, addViews, assignParameters, assignParameters, calculateDistance, calculateDistance, clear, construct, contains, containsAll, contentsToString, countWithin, createNonGraphicViews, createSelfView, createViews, createViews, environmentQuiting, execute, execute, executeOnMembers, executeOnMembers, executeOnMembers, executeOnMembers, executeOnRoot, executeOnRoot, find, findMaximum, findMaximum, findMaximumWithin, findMinimum, findMinimum, findMinimumWithin, findNearest, findRandom, findRandom, findRandom, findRandomCoordinate, findWithin, get, get, getAgentsPerIteration, getAllScapes, getCollectStats, getData, getDescription, getDrawFeatures, getDrawFeaturesObservable, getEnvironment, getExecutionOrder, getExecutionStyle, getExtent, getHome, getHTMLDescription, getInitialRules, getIteration, getIterationsPerRedraw, getModel, getPausePeriod, getPeriod, getPeriodDescription, getPeriodName, getPrototype, getPrototypeAgent, getRoot, getRules, getRunner, getScapeListeners, getSize, getSpace, getStartPeriod, getStatCollectors, getStopPeriod, getSuperScape, getThreadCount, getUIEnvironment, getUserEnvironment, hasWithin, initialize, isAllViewsUpdated, isAutoCreate, isCellsRequestUpdates, isEmpty, isGraphic, isHome, isLifeOfScape, isListenersAndMembersCurrent, isMembersActive, isMutable, isPaused, isPeriodic, isPopulateOnCreate, isRoot, isRunning, isScapeListener, isSerializable, isStartOnOpen, isUpdateNeeded, isValidPeriod, isViewSelf, iterator, listenerOrMemberUpdated, listenerUpdated, memberUpdated, moveAway, moveToward, newAgent, newAgent, notifyViews, notifyViews, populate, remove, remove, removeAll, removeDrawFeature, removeScapeListener, respondControl, respondDrawFeature, retainAll, retrieveAllAccessors, retrieveAllAccessorsOrdered, retrieveModelAccessorsOrdered, save, save, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeIterator, scapeIterator, scapeIterators, scapeNotification, scapeRandomIterator, scapeRemoved, scapeStarted, scapeStopped, search, searchMax, searchMin, set, set, set, set, setAgentsPerIteration, setAutoCreate, setAutoRestart, setCellsRequestUpdates, setCollectStats, setCollectStats, setDescription, setEarliestPeriod, setExecutionOrder, setExecutionStyle, setExtent, setExtent, setExtent, setHome, setHTMLDescription, setInitialRules, setIterationsPerRedraw, setIterationsPerRedraw, setLatestPeriod, setMembersActive, setPaused, setPausePeriod, setPeriodic, setPeriodName, setPopulateOnCreate, setPrototypeAgent, setRunner, setRunning, setSerializable, setSize, setSpace, setStartOnOpen, setStartPeriod, setStopPeriod, setSuperScape, setThreadCount, setViewSelf, size, toArray, toArray, toString, withinIterator`

Methods inherited from class org.ascape.model.CellOccupant

`die, findAvailableNeighbors, findNearest, findNearest, findNearest, findNearest, findNearest, findNeighbors, findNeighborsOnHost, findRandomAvailableNeighbor, findRandomNeighbor, findRandomNeighborOnHost, findWithin, findWithin, findWithin, getCoordinate, getHostCell, getHostScape, leave, moveAway, moveTo, moveToRandomLocation, moveToward, playNeighbors, playRandomNeighbor, randomWalk, randomWalkAvailable, setHostCell, setHostScape`

Methods inherited from class org.ascape.model.Cell
`calculateNeighbors, countNeighbors, findOccupants, findRelative, getDistance, getNeighbors, getNeighbors, getNetwork, getOccupant, hostedCondition, isAvailable, removeOccupant, setNeighbors, setNeighborsList, setNetwork, setOccupant`

Methods inherited from class org.ascape.model.LocatedAgent
`calculateDistance, calculateDistance, countWithin, countWithin, countWithin, findMaximumWithin, findWithin, getAgentSize, hasWithin, hasWithin, hasWithin, isUpdateNeeded, moveAway, moveAway, moveTo, moveToward, moveToward, requestUpdate, requestUpdateNext, setAgentSize, setCoordinate`

Methods inherited from class org.ascape.model.Agent
`clearDeleteMarker, death, deathCondition, execute, execute, fission, fissionCondition, fissioning, getColor, getImage, getImage, getPlatformColor, isDelete, isInitialized, iterate, markForDeletion, metabolism, move, movement, movementCondition, play, scapeCreated, setInitialized, setScape, update`

Methods inherited from class org.ascape.model.AscapeObject
`diffDeep, diffDeep, diffDeepBFS, diffDeepDFS, diffDeepValidate, diffDeepVisit, equalsDeep, equalsDeep, equalsDeep, getComparisonStream, getRandom, getRandomSeed, getScape, randomInRange, randomInRange, randomIs, randomToLimit, reseed, setComparisonStream, setName, setRandom, setRandomSeed`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Methods inherited from interface org.ascape.model.event.ScapeListener
`getScape`

Methods inherited from interface org.ascape.model.space.Location
`clearDeleteMarker, isDelete, markForDeletion, setCoordinate`

Constructor Detail

### BasicModel

    public BasicModel()

  Constructs a new Basic Model.

Method Detail

### getUID

    public java.lang.String getUID()

### createUniqueID

    public void createUniqueID()

### clone

    public java.lang.Object clone()

  Clones the agent, ensuring that a unique id is assigned.

  Specified by:
    `clone` in interface `ScapeListener`
  Specified by:
    `clone` in interface `Location`
  Overrides:
    `clone` in class `Scape`
  Returns:
    the object

### dummy

    public void dummy()

### getOperationsAgent

    public Scape getOperationsAgent()

  Gets the Operations Agent property for Basic Model.

  Returns:

### setOperationsAgent

    public void setOperationsAgent(Scape _operationsAgent)

  Sets the Operations Agent property for Basic Model.

  Parameters:
    `_operationsAgent` - the new Operations Agent value

### getStateAgent

    public Scape getStateAgent()

  Gets the State Agent property for Basic Model.

  Returns:

### setStateAgent

    public void setStateAgent(Scape _stateAgent)

  Sets the State Agent property for Basic Model.

  Parameters:
    `_stateAgent` - the new State Agent value

### getMethodsAgent

    public Scape getMethodsAgent()

  Gets the Methods Agent property for Basic Model.

  Returns:

### setMethodsAgent

    public void setMethodsAgent(Scape _methodsAgent)

  Sets the Methods Agent property for Basic Model.

  Parameters:
    `_methodsAgent` - the new Methods Agent value

### createScape

    public void createScape()

  Creates the members of Basic Model.

  Overrides:
    `createScape` in class `Scape`
  See Also:
    `Scape.setPopulateOnCreate(boolean)`

### createGraphicViews

    public void createGraphicViews()

  Creates UI views for Basic Model.

  Overrides:
    `createGraphicViews` in class `Scape`

### scapeSetup

    public void scapeSetup(ScapeEvent scapeEvent)

  Description copied from class: `Scape`
  If the scape has delegated a view to itself, called each time a scape sends a "setup" method, indicating it needs to be setup for a run. Possible uses include setting initial vector extents, responding to changes in user settings, and changing parameters systematically. (A view delegate to the scape is automatically created for root scapes when the standard model implementation is used.)

  Specified by:
    `scapeSetup` in interface `ScapeListener`
  Overrides:
    `scapeSetup` in class `Scape`
  Parameters:
    `scapeEvent` - the associated scape event

### main

    public static void main(java.lang.String[] args)

### getColor

    public java.awt.Color getColor()

  Description copied from class: `Agent`
  This agent's default color, used by many simple views. Black is default; override to provide an appropriate color.

  Overrides:
    `getColor` in class `Agent`

### testFake

    public void testFake()

  .

### isSomeFlag

    public boolean isSomeFlag()

  Gets the Some Flag property for Basic Model.

  Returns:

### setSomeFlag

    public void setSomeFlag(boolean _someFlag)

  Sets the Some Flag property for Basic Model.

  Parameters:
    `_someFlag` - the new Some Flag value

### getGeneratedMemberAgentCount

    public int getGeneratedMemberAgentCount()

  Gets the Generated Member Agent Count property for Basic Model.

  Returns:
    The number of generated member agents to create.

### setGeneratedMemberAgentCount

    public void setGeneratedMemberAgentCount(int _generatedMemberAgentCount)

  Sets the Generated Member Agent Count property for Basic Model. The number of generated member agents to create.

  Parameters:
    `_generatedMemberAgentCount` - the new Generated Member Agent Count value

### getSomeInteger

    public int getSomeInteger()

  Gets the Some Integer property for Basic Model.

  Returns:

### setSomeInteger

    public void setSomeInteger(int _someInteger)

  Sets the Some Integer property for Basic Model.

  Parameters:
    `_someInteger` - the new Some Integer value

### getSomeFloat

    public double getSomeFloat()

  Gets the Some Float property for Basic Model.

  Returns:

### setSomeFloat

    public void setSomeFloat(double _someFloat)

  Sets the Some Float property for Basic Model.

  Parameters:
    `_someFloat` - the new Some Float value

### getOperationsAgentCount

    public int getOperationsAgentCount()

  Gets the Operations Agent Count property for Basic Model.

  Returns:
    The number of operations agents to create.

### setOperationsAgentCount

    public void setOperationsAgentCount(int _operationsAgentCount)

  Sets the Operations Agent Count property for Basic Model. The number of operations agents to create.

  Parameters:
    `_operationsAgentCount` - the new Operations Agent Count value

### getStateAgentCount

    public int getStateAgentCount()

  Gets the State Agent Count property for Basic Model.

  Returns:
    The number of state agents to create.

### setStateAgentCount

    public void setStateAgentCount(int _stateAgentCount)

  Sets the State Agent Count property for Basic Model. The number of state agents to create.

  Parameters:
    `_stateAgentCount` - the new State Agent Count value

### getMethodsAgentCount

    public int getMethodsAgentCount()

  Gets the Methods Agent Count property for Basic Model.

  Returns:
    The number of methods agents to create.

### setMethodsAgentCount

    public void setMethodsAgentCount(int _methodsAgentCount)

  Sets the Methods Agent Count property for Basic Model. The number of methods agents to create.

  Parameters:
    `_methodsAgentCount` - the new Methods Agent Count value

### getName

    public java.lang.String getName()

  Description copied from class: `Scape`
  Returns the name of this scape, the model name if this is root and there is no name set.

  Specified by:
    `getName` in interface `SpaceContext`
  Specified by:
    `getName` in interface `HasName`
  Overrides:
    `getName` in class `Scape`
  Returns:
    the name